Skip to content
Docs

HELOC Inquiries/Wholesale

Fetch the agreement package

GET/products/heloc/v1/inquiry/{appUuid}/agreement-package

An offer must already be selected. Returns the agreement as a document that can be downloaded with the document endpoints.

Request
curl -X GET \
  "https://api.test.figure.com/products/heloc/v1/inquiry/{appUuid}/agreement-package" \
  -H "apikey: $FIGURE_API_KEY"

Path parameters

  • appUuidstringRequired

Responses

200OKobject

  • definitionsarray of objectsRequired
    ShowHide 3 attributes of definitions
    • typeenumRequired
      One ofLO_RECEIVED_BORROWER_INFOLO_ANALYZED_INCOMELO_EDUCATED_BORROWERLO_UPLOADED_DOCUMENTSLO_AGREED_WITH_SIGNATURE
    • descriptionstringRequired
    • documentsarray of objects
      ShowHide 4 attributes of documents
      • documentUuidstringRequired
      • fileNamestringRequired
      • docTypestringRequired
      • contentTypestringRequired
  • messagesarray of objects
    ShowHide 2 attributes of messages
    • levelstringRequired
    • messagestringRequired
Response
{
  "messages": [
    {
      "level": "string",
      "message": "string"
    }
  ],
  "definitions": [
    {
      "type": "LO_RECEIVED_BORROWER_INFO",
      "description": "string",
      "documents": [
        {
          "documentUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
          "fileName": "string",
          "docType": "string",
          "contentType": "string"
        }
      ]
    }
  ]
}